<!DOCTYPE html>

<!--Ideas: function that draws patterns, then makes them appear  -->
<html>
<head>
    <meta charset="utf-8" />
    <title>MunchGame</title>
    <style>
    	* { padding: 0; margin: 0; }
    	canvas { background: #eee; display: block; margin: 0 auto; margin-top:50px }
    </style>
</head>
<body>

<canvas id="myCanvas" width="480" height="700"></canvas>

<script>
var canvas = document.getElementById("myCanvas");
var ctx = canvas.getContext("2d");

// Mouth variables
var mouth =  new Object{
    
}
var mouthHeight = 10;
var mouthWidth = 90;
var mouthPosition = (canvas.width-mouthWidth)/2;

// baLL variables
let ballRadius = 5;
let x = canvas.width/2;
let y = 0;
let dy = 2;

let ballNum = 1;
let balls = [];


// keys
var rightPressed = false;
var leftPressed = false;

var score = 0;

    
ball_drop = [];
height_const =  460;
function pattern_sin(width_stretch, height_stretch){
    for (var i =0; i < 10; i++){
        var pos_ninety_deg = Math.PI/2;
        var x_pos = width_stretch*Math.sin(pos_ninety_deg/4*i)+canvas.width/2;
        ball_drop.push({x:x_pos, y:i*height_stretch-height_const, status:1});
        console.log("ball " + i + " added")
    } 
//    height_const += 10*height_stretch;

   
}
pattern_sin(1,50);
//pattern_sin(1,50);
//pattern_sin(50,20);



// for (var i =0; i < 100; i++){

//     var pos_ninety_deg = Math.PI/2;
//     var neg_ninety_deg = -Math.PI/2;

//     var x_pos = 100*Math.sin(pos_ninety_deg/4*i)+canvas.width/2;
//     ball_drop.push({x:x_pos, y:i*25-460, status:1});
// }


document.addEventListener("keydown", keyDownHandler, false);
document.addEventListener("keyup", keyUpHandler, false);
document.addEventListener("mousemove", mouseMoveHandler, false);

function mouseMoveHandler(e) {
    var relativeX = e.clientX - canvas.offsetLeft;
    if(relativeX > mouthWidth/2 && relativeX < canvas.width-mouthWidth/2) {
        mouthPosition = relativeX - mouthWidth/2;
    }
}

function keyDownHandler(e) {
    if(e.keyCode == 39) {
        rightPressed = true;
    }
    else if(e.keyCode == 37) {
        leftPressed = true;
    }
}
function keyUpHandler(e) {
    if(e.keyCode == 39) {
        rightPressed = false;
    }
    else if(e.keyCode == 37) {
        leftPressed = false;
    }
}

function drawMouth() {
    ctx.beginPath();
    ctx.rect(mouthPosition, canvas.height-mouthHeight,   mouthWidth, mouthHeight);
    ctx.fillStyle = "#0095DD";
    ctx.fill();
    ctx.closePath();
}

function drawScore() {
    ctx.font = "16px Arial";
    ctx.fillStyle = "#0095DD";
    ctx.fillText("Score: "+score, 8, 20);
}

function drawBall(){
    console.log("there are "+ ball_drop.length+ "balls to load")
    if (ball_drop.length > 1){
        
    }
    for (var c = 0; c < ball_drop.length; c++){
        console.log("reading ball "+ c)
           if(ball_drop[c].status === 1){
            ball_drop[c].y += dy;
            if(ball_drop[c].y >= 0){
            console.log("ball " +c + " can be drawn, height is"+ ball_drop[c].y)
            ctx.beginPath();
            ctx.arc(ball_drop[c].x, ball_drop[c].y, ballRadius, 0, Math.PI*2);
            ctx.fillStyle = "#0095DD";
            ctx.fill();
            ctx.closePath();}
         
        }
        if(ball_drop[c].y + dy - ballRadius >canvas.height && ball_drop[c].status === 1){
            if(ball_drop[c].x > mouthPosition && ball_drop[c].x < mouthPosition + mouthWidth) {
                score++;
            }
            ball_drop[c].status = 0;
            console.log("ball " + c + " status is" + ball_drop[c].status)
            ball_drop.pop()
//            break;

        }
     


    }



}

function draw() {
    ctx.clearRect(0, 0, canvas.width, canvas.height);
        drawMouth();
        drawBall();
        drawScore();


//     requestAnimationFrame(draw)

}
setInterval(draw,100)
//draw();




</script>

</body>
</html>
